import { StyleSheet } from 'react-native';
import { colors, font } from './theme';

export const textStyle = StyleSheet.create({
  h1: {
    fontFamily: font.bold,
    fontSize: font.size.h1,
    // lineHeight: font.lineHeight.medium,
    fontWeight: font.weight.normal,
    color: colors.white,

    alignSelf: 'center',
  },
  h2: {
    fontFamily: font.bold,
    fontSize: font.size.h2,
    // lineHeight: font.lineHeight.medium,
    fontWeight: font.weight.normal,
    color: colors.white,
    textAlign: 'center',
    alignSelf: 'center',
  },
  title: {
    fontFamily: font.bold,
    fontSize: font.size.medium,
    // lineHeight: font.lineHeight.medium,
    fontWeight: font.weight.normal,
    color: colors.white,
    textAlign: 'center',
    alignSelf: 'center',
  },
  regular: {
    fontFamily: font.base,
    fontSize: font.size.regular,
    // lineHeight: font.lineHeight.regular,
    fontWeight: font.weight.normal,
    color: colors.white,
  },
  medium: {
    fontFamily: font.base,
    fontSize: font.size.medium,
    // lineHeight: font.lineHeight.medium,
    fontWeight: font.weight.normal,
    color: colors.white,
  },
  small: {
    fontFamily: font.base,
    fontSize: font.size.small,
    // lineHeight: font.lineHeight.medium,
    fontWeight: font.weight.normal,
    color: colors.white,
  },
});
